## cascading.util
Enum ShutdownUtil.Hook.Priority

    java.lang.Object
      java.lang.Enum<ShutdownUtil.Hook.Priority>
          cascading.util.ShutdownUtil.Hook.Priority

All Implemented Interfaces:
  Serializable, Comparable<ShutdownUtil.Hook.Priority>

Enclosing class:
  ShutdownUtil.Hook

    public static enum ShutdownUtil.Hook.Priority

extends Enum<ShutdownUtil.Hook.Priority>

Enum Constant Summary
`FIRST`
`LAST`
`SERVICE_CONSUMER`
`SERVICE_PROVIDER`
`WORK_CHILD`
`WORK_PARENT`

Method Summary
`static ShutdownUtil.Hook.Priority` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ShutdownUtil.Hook.Priority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIRST

    public static final ShutdownUtil.Hook.Priority FIRST

### WORK_PARENT

    public static final ShutdownUtil.Hook.Priority WORK_PARENT

### WORK_CHILD

    public static final ShutdownUtil.Hook.Priority WORK_CHILD

### SERVICE_CONSUMER

    public static final ShutdownUtil.Hook.Priority SERVICE_CONSUMER

### SERVICE_PROVIDER

    public static final ShutdownUtil.Hook.Priority SERVICE_PROVIDER

### LAST

    public static final ShutdownUtil.Hook.Priority LAST

Method Detail

### values

    public static ShutdownUtil.Hook.Priority[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ShutdownUtil.Hook.Priority c : ShutdownUtil.Hook.Priority.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ShutdownUtil.Hook.Priority valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.